#include ONCE "window9.bi"

function GetLineCountEditor(iGadget as long) as long export
	
	dim as GtkTextBuffer ptr buffer
	
	buffer = gtk_text_view_get_buffer( GTK_TEXT_VIEW( gadgetid(iGadget) ))
	
	return gtk_text_buffer_get_line_count (buffer)	

End Function